Some API users may have problems connecting to api.clubhouse.io using HTTPS
Incident Report for Clubhouse
Resolved
This incident has been resolved.
Posted Jun 01, 2020 - 09:30 EDT
Identified
The certificate chain for api.clubhouse.io includes a root (AddTrust External CA Root) which expired yesterday. While the chain still includes a valid path to current, non-expired, widely-trusted roots, some widely-used libraries, notably OpenSSL 1.0.x and GnuTLS, will incorrectly fail to verify a chain including the expired root, even if another path to a valid root exists.

We are working to address this now. In the meantime, API clients may be able to work around this by removing the expired certificate from the local trust store. The specifics of doing this will vary depending on operating system. You can find additional details in this blog post: https://www.agwa.name/blog/post/fixing_the_addtrust_root_expiration.
Posted Jun 01, 2020 - 08:52 EDT
This incident affected: API.